import { Component, OnInit, ViewChild, } from '@angular/core';
import { IonSlides } from '@ionic/angular';
import { Location } from '@angular/common';
import { Router, ActivatedRoute } from '@angular/router';


@Component({
  selector: 'app-riderlounge',
  templateUrl: './riderlounge.page.html',
  styleUrls: ['./riderlounge.page.scss'],
})
export class RiderloungePage implements OnInit {

  @ViewChild(IonSlides, { static: false }) slides: IonSlides;
  currentIndex: any;

  status: any;
  public lat: number = 51.678418;
  public lng: number = 7.809007;
  public origin: any;
  public destination: any;
  public renderOptions: any;
  public markerOptions: any;

  deliveryStatus:any;

  constructor(
    private router: Router,
    private route: ActivatedRoute,
    private location: Location
  ) { }



  riderlounge = {
    slidesPerView: 1,
    spaceBetween: 20,
    allowTouchMove: false
  }


  ngOnInit() {
    this.getDirection();
  }


  goToPage(path, data = null) {
    this.router.navigateByUrl(path, { queryParams: data });
    document.body.scrollTop = document.documentElement.scrollTop = 0;
  }

  goBack() {
    this.location.back();
  }

  changeStatus() {
    this.status = !this.status;
  }




  getDirection() {
    this.origin = { lat: 51.678418, lng: 7.80 };
    this.destination = { lat: 51.678418, lng: 7.82 };
    this.renderOptions = { polylineOptions: { strokeColor: 'rgba(69, 67, 152,1)' }, suppressMarkers: true };
    this.markerOptions = {
      origin: {
        icon: './assets/source.png',
      },
      destination: {
        icon: './assets/destination.png',
      }
    };


  }


  next() {
    this.slides.slideNext();
  }

  prev() {
    this.slides.slidePrev();
  }

  slideChanged() {
    this.slides.getActiveIndex().then(index => {
      this.currentIndex = index;
      console.log(this.currentIndex);

    });
  } 


}
